#include maps\mp\_utility;
#include maps\mp\gametypes\_hud_util;
#include common_scripts\utility;

init()
{		

	level thread onPlayerConnect();
}
onPlayerConnect()
{
	for( ;; )
	{
		level waittill( "connecting", player );
		player thread onSpawnPlayer();
		
	}
}

onSpawnPlayer()
{
  self endon("intermission");
	self endon ( "disconnect" );
	while( 1 )
	{
		self waittill( "spawned_player" );
		thread spawnProtection();	
		wait 0.5;
		self iPrintln( "^210 sec Spawn Protection" );	
    }
	}

spawnProtection()
{

	spawnProtection = getdvarint( "spawn_protection" );
									 
	while(1)
	{
		if( !isAlive( self ) )
		{
		break;
		}
		
		if( self isOnGround() == false )
		{
			self.canDoCombat = true;
			return;
		}
		
		if( spawnProtection > 0 )
		{
			
			self.canDoCombat = false;
			self hide();
			self disableWeapons();
			spawnProtection--;
		}
		
		if( spawnProtection <= 0 )
		{
			self.canDoCombat = true;
			self show();
			self enableWeapons();
			wait 0.3;
			self thread maps\mp\gametypes\_hud_message::oldNotifyMessage( "", "Spawn Protection Off", "", (0.7, 0.0, 0.0) ); 
			return;
		}
		
		wait 1;
	}
}
