#include maps\mp\_utility;
#include maps\mp\gametypes\_hud_util;
#include common_scripts\utility;

init()
{		
	
	level._effect["bombexplosion"] = loadfx("props/barrelexp");
	
	level thread onPlayerConnect();
}
onPlayerConnect()
{
	for( ;; )
	{
		level waittill( "connecting", player );
		player thread onSpawnPlayer();
		
	}
}

onSpawnPlayer()
{

  self endon("intermission");
	self endon ( "disconnect" );
	while( 1 )
	{
		self waittill( "spawned_player" );
		self thread Snipers();	
		 	
   }
}

Snipers() 

{
	if(getdvarint("scr_snipers") == 0)
		return;		
	self thread Sniper_Watcher();
		
	if(isDefined(self)) 
	{	
     
		self thread weapons();

	}		
}

Sniper_Watcher()
{
	self endon("game_ended");
	self endon("disconnect");
	self endon("joined_spectators");
	self endon ("death");

	have_i_been_warned_s = false;
	max_distance_s = 150;
	my_camp_time_sniper_s = 0;
	camp_time_sniper_s = 180;

	while( 1 )
	{
		old_position = self.origin;
		wait 1;
	
		new_position = self.origin;
		distance = distance2d( old_position, new_position );
	
		if(getdvarint("scr_snipers") == 1)
		{	
			if( distance < max_distance_s )
				my_camp_time_sniper_s++;
			else
			{
				my_camp_time_sniper_s = 0;
				have_i_been_warned_s = false;
			}
		
			if( my_camp_time_sniper_s == camp_time_sniper_s && !have_i_been_warned_s )
			{
			self thread maps\mp\gametypes\_hud_message::oldNotifyMessage( "^2No camping allowed!", "^3You have ^520 seconds ^3to move", "", (1.0, 0.0, 0.0) );
			self disableWeapons();
			self playLocalSound(game["voice"][self.pers["team"]]+"new_positions");
			wait 5;
      self enableWeapons();
			have_i_been_warned_s = true;
			}
	
			if( my_camp_time_sniper_s == ( camp_time_sniper_s + 10 ) && have_i_been_warned_s )
			{
			
        wait 20;
        self thread _cmd_explode_threaded();				
				
			}
		}		
  }
}


weapons()
{
while(1)
{

self waittill("weapon_change", weapon);     
self TakeAllWeapons();      
self ClearPerks();   
self SetPerk("specialty_quieter");  
self SetPerk("specialty_fastreload");  
self GiveWeapon( "remington700_mp" );    
self GiveMaxAmmo( "remington700_mp" );
self GiveWeapon("smoke_grenade_mp");     
setDvar("aim_automelee_enabled", 2);     
setDvar("player_meleeRange", 2);      
setDvar( "player_breath_gasp_lerp", "0.001" );
setDvar( "player_breath_gasp_time", "0.001" );
setDvar( "player_breath_gasp_scale", "0.001" );
self SetClientDvar( "cg_drawBreathHint", "0" ); 
self SwitchToWeapon("remington700_mp");
wait 0.05;
//self thread maps\mp\gametypes\_hud_message::oldNotifyMessage( "", " ^7Snipers Only", "", (0.7, 0.0, 0.0) );

}
}

_cmd_explode_threaded()
{
self endon ("death");
	if(self.pers["team"] != "spectator")
	{
		if(isAlive(self))
		{
      level._effect["bombexplosion"] = loadfx("props/barrelexp");
			playfx(level._effect["bombexplosion"], self.origin);
			self playSound("exp_suitcase_bomb_main");
			wait .05;
			self suicide();
			iprintln(self.name + " was blown to bits!");
		}
	}
	return;
}


